function IDE_GetAppDataFolder:string;
var
  buff:string;
begin
  SetLength(Buff,512);
  if HostCallback('IDE_GetAppDataFolder','',buff) then Result:=buff else Result:='';
end;

function IDE_GetMainForm:TForm;
var
  buff:string;
begin
  SetLength(Buff,20);
  if HostCallback('IDE_GetMainForm','',buff) then Result:=TForm(StrToIntDef(buff,0)) else Result:=nil;
end;

function IDE_ReadPropertyStr(Root: TComponent; const PropertyPath:string):string;
var
  buff:string;
begin
  if HostCallback('IDE_ReadPropertyStr',IntToStr(Int64(__pointer(Root)))+','+PropertyPath,buff) then Result:=buff else Result:='';
end;

procedure IDE_WritePropertyStr(Root: TComponent; const PropertyPath, Value:string);
var
  buff:string;
begin
  HostCallback('IDE_WritePropertyStr',IntToStr(Int64(__pointer(Root)))+','+PropertyPath+','+Value,buff);
end;

procedure IDE_ReloadHighlighters(const TgtFileExt:string); var b:string; begin HostCallback('IDE_ReloadHighlighters', TgtFileExt, b); end;

function IDE_ScriptFile:string;
var
  buff:string;
begin
  SetLength(Buff,512);
  if HostCallback('IDE_ScriptFile','',buff) then Result:=buff else Result:='';
end;

function IDE_FormFile:string;
var
  buff:string;
begin
  SetLength(Buff,512);
  if HostCallback('IDE_FormFile','',buff) then Result:=buff else Result:='';
end;

function IDE_IsModified:boolean; var buff:string; begin SetLength(Buff,1); if HostCallback('IDE_IsModified','',buff) then Result:=buff='1' else Result:=False; end;
procedure IDE_SetModified(Value: boolean); var b:string; begin HostCallback('IDE_SetModified', IntToStr(integer(Value)), b); end;

procedure IDE_ActionExecute(const ActionName:string); var b:string; begin HostCallback('IDE_ActionExecute', ActionName, b); end;
procedure IDE_OpenScript(const FileName:string); var b:string; begin HostCallback('IDE_OpenScript', FileName, b); end;